// gnome.xonotic.in.ua

models/mapobjects/gratelamp/gratetorch2b
{
	cull disable
	{
		map models/mapobjects/gratelamp/gratetorch2b.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/skel/skel
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/skel/skel.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nodraw
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm nodraw
	cull disable
}

textures/common/noimpact
{
	surfaceparm noimpact
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/egyptsoc_mat/sand1b
{
	qer_editorimage textures/egyptsoc_mat/sand1b.jpg
	q3map_nonplanar
	q3map_shadeangle 120
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/egyptsoc_mat/sand1b.jpg
		blendfunc filter
	}
}

textures/egyptsoc_sfx/lig_b064-01a
{
	qer_editorimage textures/egyptsoc_sfx/lig_b064-01a.tga
	{
		map textures/egyptsoc_sfx/lig_b064-01a.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/egyptsoc_sfx/lig_b064-01b.blend.tga
		blendfunc add
		rgbgen wave sin .5 .3 0 1
	}
}

textures/egyptsoc_sfx/lig_b064-01b
{
	qer_editorimage textures/egyptsoc_sfx/lig_b064-01b.tga
	{
		map textures/egyptsoc_sfx/lig_b064-01b.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/egyptsoc_sfx/lig_b064-01b.blend.tga
		blendfunc add
		rgbgen wave sin .5 .3 0 1
	}
}

textures/egyptsoc_sfx/lig_b064-02b
{
	qer_editorimage textures/egyptsoc_sfx/lig_b064-02b.tga
	{
		map textures/egyptsoc_sfx/lig_b064-02b.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/egyptsoc_sfx/lig_b064-02b.blend.tga
		blendfunc add
		rgbgen wave sin .5 .3 0 1
	}
}

textures/evil4_metals/mtlbrushed
{
	qer_editorimage textures/evil4_metals/mtlbrushed.tga
	{
		map textures/evil4_metals/mtlbrushed_env.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/evil4_metals/mtlbrushed.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
}

textures/josh2/blacky1
{
	qer_editorimage textures/josh2/blacker.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	{
		map textures/josh2/blacker.tga
		blendfunc gl_one gl_one
		rgbgen const ( 0 0 0 )
	}
}

textures/josh2/blacky2
{
	qer_editorimage textures/josh2/blacker.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	{
		map textures/josh2/blacker.tga
		blendfunc gl_one gl_one
		rgbgen const ( 0 0 0 )
	}
}

textures/josh2/bloodexplosion_fast
{
	qer_editorimage models/weaphits/blood201.tga
	cull disable
	deformvertexes autosprite
	{
		animmap 10 models/weaphits/blood201.tga models/weaphits/blood202.tga models/weaphits/blood203.tga models/weaphits/blood204.tga models/weaphits/blood205.tga
		blendfunc blend
	}
}

textures/josh2/blue_shiny
{
	{
		map textures/josh2/chrome_env.tga
		tcmod scale 0.25 0.25
		tcgen environment
	}
	{
		map textures/josh2/blue_shiny.tga
		blendfunc add
		rgbgen identity
		tcmod scale 0.0693 0.0712
		detail
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/josh2/eye
{
	qer_editorimage textures/josh2/eye.tga
	surfaceparm trans
	cull disable
	{
		map textures/josh2/eye.tga
	}
	{
		map textures/josh2/glow.tga
		blendfunc add
		rgbgen wave sin 0.5 0.2 0.3 3
	}
}

textures/josh2/firepart_red_1
{
	qer_editorimage textures/josh2/firepart_red_1.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformvertexes autosprite
	deformvertexes move 10.5382 -20.3058 64.4668 sawtooth 0 1 0.931455 1.03981
	{
		clampmap textures/josh2/firepart_red_1.tga
		blendfunc add
		rgbgen wave sawtooth 2 -2 0.931455 1.03981
		tcmod rotate 52.1317
		tcmod stretch sawtooth 1 0 0.931455 1.03981
		alphagen wave sawtooth 1 0 0.931455 1.03981
	}
}

textures/josh2/firepart_red_3
{
	qer_editorimage textures/josh2/firepart_red_2.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformvertexes autosprite
	deformvertexes move -1.62597 0.087306 68.1252 sawtooth 0 1 0.901944 1.08991
	{
		clampmap textures/josh2/firepart_red_2.tga
		blendfunc add
		rgbgen wave sawtooth 2 -2 0.901944 1.08991
		tcmod rotate 47.0769
		tcmod stretch sawtooth 1 0 0.901944 1.08991
		alphagen wave sawtooth 1 0 0.901944 1.08991
	}
}

textures/josh2/firepart_red_4
{
	qer_editorimage textures/josh2/firepart_red_1.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformvertexes autosprite
	deformvertexes move -4.61512 29.1994 44.8596 sawtooth 0 1 0.167211 1.31307
	{
		clampmap textures/josh2/firepart_red_1.tga
		blendfunc add
		rgbgen wave sawtooth 2 -2 0.167211 1.31307
		tcmod rotate 51.0834
		tcmod stretch sawtooth 1 0 0.167211 1.31307
		alphagen wave sawtooth 1 0 0.167211 1.31307
	}
}

textures/josh2/firepart_red_5
{
	qer_editorimage textures/josh2/firepart_red_2.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformvertexes autosprite
	deformvertexes move -17.4079 7.07529 54.8882 sawtooth 0 1 0.478957 1.47768
	{
		clampmap textures/josh2/firepart_red_2.tga
		blendfunc add
		rgbgen wave sawtooth 2 -2 0.478957 1.47768
		tcmod rotate 59.9304
		tcmod stretch sawtooth 1 0 0.478957 1.47768
		alphagen wave sawtooth 1 0 0.478957 1.47768
	}
}

textures/josh2/jumpbright
{
	qer_editorimage textures/josh2/dimmish.tga
	q3map_lightimage textures/josh2/brightish.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/josh2/dimmish.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/josh2/brightish.tga
		blendfunc gl_one gl_one
	}
}

textures/josh2/lavad3
{
	qer_editorimage textures/josh2/lavad3.tga
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm lava
	cull disable
	deformvertexes wave 100 sin 3 2 0.1 0.1
	tesssize 128
	q3map_surfacelight 550
	q3map_globaltexture
	{
		map textures/josh2/lavad3.tga
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll 0 0
		tcmod turb 0.1 0.1 0.01 0.01
	}
}

textures/josh2/lavad3_dimmer
{
	qer_editorimage textures/josh2/lavad3.tga
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm lava
	cull disable
	deformvertexes wave 100 sin 3 2 0.1 0.1
	tesssize 128
	q3map_surfacelight 180
	q3map_globaltexture
	{
		map textures/josh2/lavad3.tga
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll 0 0
		tcmod turb 0.1 0.1 0.01 0.01
	}
}

textures/josh2/ojsky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1 1 0.5 100 30 60
	q3map_surfacelight 80
	q3map_lightimage textures/common/white.tga
	qer_editorimage textures/skies/bluetopclouds.tga
	skyparms - 512 -
	{
		map textures/skies/bluedimclouds.tga
		tcmod scale 3 2
		tcmod scroll 0.15 0.15
		depthwrite
	}
	{
		map textures/skies/topclouds.tga
		blendfunc gl_one gl_one
		tcmod scale 3 3
		tcmod scroll 0.05 0.05
	}
}

textures/josh2/red_shiny2
{
	{
		map textures/josh2/chrome_env.tga
		tcmod scale 0.25 0.25
		tcgen environment
	}
	{
		map textures/josh2/red_shiny2.tga
		blendfunc add
		rgbgen identity
		tcmod scale 0.0693 0.0712
		detail
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
}

textures/josh2/spidy
{
	qer_editorimage textures/josh2/spidy_1.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		animmap 10 textures/josh2/spidy_1.tga textures/josh2/spidy_2.tga textures/josh2/spidy_3.tga
		blendfunc gl_one gl_src_alpha
		tcmod scroll 0 0.2
	}
}

textures/josh2/turnoff
{
	qer_editorimage textures/josh2/blacker.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	{
		map textures/josh2/blacker.tga
		blendfunc gl_one gl_one
		rgbgen const ( 0 0 0 )
	}
}

textures/josh2/turnon
{
	qer_editorimage textures/josh2/brightishy.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonoffset
	{
		map textures/josh2/brightishy.tga
		blendfunc gl_one gl_one
		rgbgen identity
	}
}

textures/josh2/yellow_shiny
{
	{
		map textures/josh2/chrome_env.tga
		tcmod scale 0.25 0.25
		tcgen environment
	}
	{
		map textures/josh2/yellow_shiny.tga
		blendfunc add
		rgbgen identity
		tcmod scale 0.0693 0.0712
		detail
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sfx/flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 7500
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flame1side
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flame2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 5500
	qer_editorimage textures/sfx/flame1.tga
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flameanim_dimmer
{
	qer_editorimage textures/sfx/flame6.tga
	q3map_lightimage textures/sfx/flame6.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 1500
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/fog_greenish2
{
	qer_editorimage textures/sfx/fog_green.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	fogparms ( 0.211 0.231 0.094 ) 335
}

textures/sfx/hellfog_1k
{
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nodrop
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 200
	fogparms ( .5 .12 .1 ) 300
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
	}
}

